> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account transactions updated between two dates

>  

Allows you to list transactions that were updated between two dates for a specific account. Dates should be ISO 8601 formatted (2013-10-25). For paginated data resulting in multiple pages, each page will need to be requested separately to retrieve the data on that page. The `total_pages` field returns an integer representing the total pages to be requested.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /accounts/{account_guid}/transactions/updated_between/{start_date}/{end_date}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /accounts/{account_guid}/transactions/updated_between/{start_date}/{end_date}:
    get:
      tags:
        - accounts
      summary: List account transactions updated between two dates
      description: >-
        Allows you to list transactions that were updated between two dates for
        a specific account. Dates should be ISO 8601 formatted (2013-10-25). For
        paginated data resulting in multiple pages, each page will need to be
        requested separately to retrieve the data on that page. The
        `total_pages` field returns an integer representing the total pages to
        be requested.
      operationId: listTransactionsUpdatedBetweenTwoDates
      parameters:
        - name: account_guid
          description: The unique identifier for the account that is MX-defined.
          example: ACT-00266e24-5980-0213-96aa-649246a418af
          in: path
          required: true
          schema:
            type: string
        - name: start_date
          description: The earliest date from which you need transaction data.
          example: '2016-09-01T00:00:00.000Z'
          in: path
          required: true
          schema:
            type: string
        - name: end_date
          description: The latest date from which you need transaction data.
          example: '2017-04-01T00:00:00.000Z'
          in: path
          required: true
          schema:
            type: string
        - name: page
          description: >-
            Results are returned in paginated sets, this is the page of the
            results you would like to view. Defaults to page 1 if no page is
            specified.
          example: 2
          in: query
          required: false
          schema:
            type: integer
        - name: records_per_page
          description: >-
            Requests to all list endpoints that return multiple transactions
            (e.g. list transactions) should specify the desired
            records_per_page. The supported range is from 10 to 1000. If the
            records_per_page parameter is not specified or is outside this
            range, a default of 25 records per page will be used.
          example: 100
          in: query
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/TransactionsResponseBody'
components:
  schemas:
    TransactionsResponseBody:
      properties:
        transactions:
          items:
            $ref: '#/components/schemas/TransactionResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    TransactionResponse:
      properties:
        account_guid:
          type: string
          example: ACT-8e6f92c8-1491-42ce-8bf6-c309e9531530
          description: Unique identifier for the account. Defined by MX.
        amount:
          description: >-
            The transaction amount. This will always be a positive value. The
            Transaction Type determines how the transaction affects the account.
          type: number
          example: 33.88
        amount_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        amount_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        category_guid:
          description: Unique identifier for the transaction category. Defined by MX.
          type: string
          example: CAT-97a2b899-5a32-4196-b87c-a8e65d8a9849
        category_name:
          description: The name of the transaction category.
          type: string
          example: Office Supplies
        category_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 3
        category_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: SYSTEM
        check_number:
          description: The check number for the transaction. (Deprecated).
          type: integer
          example: null
        check_number_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: null
        check_number_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: null
        check_number_string:
          description: The check number for the transaction.
          type: string
          example: null
        created_at:
          description: >-
            Date and time the transaction was created, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          example: '2022-06-14T21:17:10+00:00'
        currency_code:
          description: The ISO 4217 three-character currency code (e.g. USD).
          type: string
          example: USD
        currency_code_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        currency_code_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        date:
          description: >-
            Date the transaction was created, represented in ISO 8601 format
            (e.g. 2011-03-28).
          type: string
          example: '2022-06-14'
        date_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        date_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        description:
          description: A human-readable description of the transaction.
          type: string
          example: Office Depot
        description_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 3
        description_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: SYSTEM
        extended_transaction_type:
          description: >-
            Additional transaction type classification for specialized
            transaction categories.
          type: string
          example: ''
        external_guid:
          description: Partner created identifier for the transaction.
          type: string
          example: transfer-0bc9936d-6761-4aed-af7f-a94e7a0f7e7e
        feed_amount:
          description: >-
            Transaction amount, as provided by our data feed. See amount for
            more information.
          type: number
          example: 33.88
        feed_check_number:
          description: >-
            Check number, as provided by our data feed. See check_number for
            more information.
          type: integer
          example: null
        feed_check_number_string:
          description: >-
            Check number, as provided by our data feed. See check_number_string
            for more information.
          type: string
          example: null
        feed_currency_code:
          description: >-
            Currency code, as provided by our data feed. See currency_code for
            more information.
          type: string
          example: USD
        feed_description:
          description: >-
            Description of the transaction, as provided by our data feed. See
            description for more information.
          type: string
          example: Office Depot
        feed_is_international:
          description: >-
            Whether the transaction is international, as provided by our data
            feed. See is_international for more information.
          type: boolean
          example: null
        feed_latitude:
          description: >-
            Latitude for the transaction, as provided by our data feed. See
            latitude for more information.
          type: number
          example: null
        feed_longitude:
          description: >-
            Longitude for the transaction, as provided by our data feed. See
            longitude for more information.
          type: number
          example: null
        feed_memo:
          description: >-
            The transaction memo, as provided by our data feed. See memo for
            more information.
          type: string
          example: null
        feed_posted_at:
          description: >-
            Date and time the transaction was posted, as provided by our data
            feed. See posted_at for more information.
          type: string
          example: '2022-06-15T12:00:00+00:00'
        feed_posted_on:
          description: >-
            Date the transaction was posted, as provided by our data feed. See
            posted_on for more information.
          type: string
          example: '2022-06-15'
        feed_status:
          description: >-
            Status of the transaction, as provided by our data feed. See status
            for more information.
          type: integer
          example: 1
        feed_transacted_at:
          description: >-
            Date and time the transaction took place, as provided by our data
            feed. See transacted_at for more information.
          type: string
          example: '2022-06-14T12:00:00+00:00'
        feed_transacted_on:
          description: Date the transaction took place, as provided by our data feed.
          type: string
          example: '2022-06-14'
        feed_transaction_type:
          description: >-
            The type of transaction, as provided by our data feed. See
            transaction_type for more information.
          type: integer
          example: 2
        feed_transaction_type_name:
          description: >-
            The type of transaction, as provided by our data feed. See
            transaction_type_name for more information.
          type: string
          example: DEBIT
        guid:
          description: Unique identifier for the transaction. Defined by MX.
          type: string
          example: TRN-24af807c-66b5-416c-a84e-d18f1003809e
        has_been_split:
          description: >-
            If the transaction is a split, this field will be true. Otherwise,
            this field will be false.
          type: boolean
          example: false
        has_been_viewed:
          description: >-
            If the transaction has been viewed, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_bill_pay:
          description: >-
            If the transaction is a bill pay, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_business:
          description: >-
            If the transaction is categorized as a business expense, this field
            will be true. Otherwise, this field will be false.
          type: boolean
          example: false
        is_direct_deposit:
          description: >-
            If the transaction is a direct deposit, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_expense:
          description: >-
            If the transaction is an expense, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: true
        is_fee:
          description: >-
            If the transaction is a fee, this field will be true. Otherwise,
            this field will be false.
          type: boolean
          example: false
        is_flagged:
          description: >-
            If the transaction has been flagged, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_hidden:
          description: >-
            If the transaction is hidden, this field will be true. Otherwise,
            this field will be false.
          type: boolean
          example: false
        is_income:
          description: >-
            If the transaction is income, this field will be true. Otherwise,
            this field will be false.
          type: boolean
          example: false
        is_international:
          description: >-
            If the transaction is international, as defined by the data
            provider, this field will be true. If the data provider determines
            it is not international, then it will be false. It will be null if
            the data provider does not provide this information.
          type: boolean
          example: null
        is_international_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: null
        is_international_set_by_name:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: null
        is_overdraft_fee:
          description: >-
            If the transaction is an overdraft fee, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_payroll_advance:
          description: >-
            If the transaction is a payroll advance, this field will be true.
            Otherwise, this field will be false.
          type: boolean
          example: false
        is_recurring:
          description: >-
            This field should be ignored. If this information is required,
            please reach out to MX to discuss an alternative.
          type: boolean
          example: null
        is_subscription:
          description: >-
            If the transaction represents a payment for a subscription service
            such as Netflix or Audible, this field will be true. Otherwise it
            will be false.
          type: boolean
          example: false
        latitude:
          description: >-
            The latitude of the location where the transaction occurred. The
            number is a signed decimal (e.g. Rio de Janeiro's latitude is
            -22.9027800 and Tokyo's latitude is 35.689488).
          type: number
          example: null
        latitude_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: null
        latitude_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: null
        localized_description:
          description: >-
            A human-readable description of the transaction, provided in a local
            language.
          type: string
          example: null
        localized_memo:
          description: >-
            Additional descriptive information about the transaction, provided
            in a local language.
          type: string
          example: null
        longitude:
          description: >-
            The longitude of the location where the transaction occurred. The
            number is a signed decimal (e.g. Rio de Janeiro's longitude is
            -43.2075000 and Tokyo's longitude is 139.691706).
          type: number
          example: null
        longitude_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: null
        longitude_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: null
        member_is_managed_by_user:
          description: >-
            If the member the transaction belongs to is managed by the user,
            this field will be true. Otherwise, the member is managed by the MX
            partner and this field will be false. Members created with Nexus are
            considered to be managed by the user.
          type: boolean
          example: true
        memo:
          description: >-
            The memo is additional descriptive information about the
            transaction.
          type: string
          example: null
        memo_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: null
        memo_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: null
        merchant_category_code:
          description: The merchant category code.
          type: integer
          example: 0
        merchant_guid:
          description: >-
            Unique identifier for the merchant identified in the transaction.
            Defined by MX.
          type: string
          example: MCH-8f595f23-43fb-2c82-429e-56313bb6dada
        merchant_location_guid:
          description: >-
            The unique identifier for the merchant location associated with the
            transaction. Defined by MX.
          type: string
          example: null
        metadata:
          description: >-
            Additional information a partner can store on the transaction. NOTE:
            this field may potentially be overwritten by the data provider when
            data is refreshed through aggregation. See the FAQs for more
            information.
          type: string
          example: some hard coded transaction metadata
        parent_guid:
          description: The parent guid of the transaction.
          type: string
          example: null
        posted_at:
          description: >-
            Date and time the transaction was posted, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          example: '2022-06-15T12:00:00+00:00'
        posted_at_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        posted_at_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        revision:
          description: The revision number of this transaction record.
          type: integer
          example: 1
        scheduled_payment_guid:
          description: >-
            The unique identifier for the scheduled payment associated with this
            transaction. Defined by MX.
          type: string
          example: null
        status:
          description: >-
            The status of the transaction (1 = POSTED, 2 = PENDING). See Status
            for more information.
          type: integer
          example: 1
        status_name:
          description: >-
            The status of the transaction (POSTED or PENDING). See Status for
            more information.
          type: string
          example: POSTED
        status_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        status_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        top_level_category_guid:
          description: >-
            Unique identifier of the parent category that this transaction's
            category is assigned to.
          type: string
          example: CAT-94b11142-e97b-941a-f67f-6e18d246a23f
        transacted_at:
          description: >-
            Date and time the transaction took place, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          example: '2022-06-14T12:00:00+00:00'
        transacted_at_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        transacted_at_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        transaction_type:
          description: >-
            The type of transaction (1 = CREDIT, 2 = DEBIT). See Transaction
            Types for more information.
          type: integer
          example: 2
        transaction_type_name:
          description: >-
            The type of transaction (CREDIT or DEBIT). See Transaction Types for
            more information.
          type: string
          example: DEBIT
        transaction_type_set_by:
          description: >-
            The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See
            Transaction Set By for more information.
          type: integer
          example: 1
        transaction_type_set_by_name:
          description: >-
            The source that set the data ( FEED, USER, or SYSTEM ). See
            Transaction Set By for more information.
          type: string
          example: FEED
        updated_at:
          description: >-
            Date and time the transaction was updated, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
          type: string
          example: '2022-06-14T21:17:10+00:00'
        user_guid:
          description: Unique identifier for the user. Defined by MX.
          type: string
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
    PaginationResponse:
      properties:
        current_page:
          type: integer
          example: 1
        per_page:
          example: 25
          type: integer
        total_entries:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 1
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````